<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title> DANH SÁCH ĐƠN HÀNG </title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <!-- Select2 -->
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css">
    <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
    <!-- awesome 6.0.0 -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">

    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">

</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand navbar-white navbar-light">
            <!-- Left navbar links -->
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    <a href="#" class="nav-link">DANH SÁCH ĐƠN HÀNG</a>
                </li>
            </ul>

            <!-- Right navbar links -->
            <ul class="navbar-nav ml-auto">
                <li class="nav-item">
                    <a class="nav-link" data-widget="fullscreen" href="#" role="button">
                        <i class="fas fa-expand-arrows-alt"></i>
                    </a>
                </li>
            </ul>
        </nav>
        <!-- /.navbar -->

        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-dark-primary elevation-4">
            <!-- Brand Logo -->
            <a href="#" class="brand-link">
                <span class="brand-text font-weight-light">Devcamp</span>
            </a>

            <!-- Sidebar -->
            <div class="sidebar">

                <!-- Sidebar Menu -->
                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
                        <!-- Add icons to the links using the .nav-icon class
                 with font-awesome or any other icon font library -->
                        <li class="nav-item menu-open">
                            <a href="#" class="nav-link active">
                                <i class="nav-icon fas fa-tachometer-alt"></i>
                                <p>
                                    Dashboard
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="./index.html" class="nav-link active">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Dashboard v1</p>
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </nav>
                <!-- /.sidebar-menu -->
            </div>
            <!-- /.sidebar -->
        </aside>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                            <h1 class="m-0">ORDER LIST</h1>
                        </div>
                        <!-- /.col -->
                        <div class="col-sm-6">
                            <ol class="breadcrumb float-sm-right">
                                <li class="breadcrumb-item"><a href="#">Home</a></li>
                                <li class="breadcrumb-item active">DANH SÁCH ĐƠN HÀNG</li>
                            </ol>
                        </div>
                        <!-- /.col -->
                    </div>
                    <!-- /.row -->
                </div>
                <!-- /.container-fluid -->
            </div>
            <!-- /.content-header -->

            <!-- filter -->
            <div class="container jumbotron w3-cyan">
                <div class="col-sm-12">
                    <div class="row form-group">
                        <div class="col-sm-7">
                            <div class="row form-group">
                                <div class="col-sm-4 text-white">
                                    <label for=""> <h4> <b>Loại Pizza</b> </h4> </label>
                                </div>
                                <div class="col-sm-8">
                                    <select id="select-pizza" class="form-control">
                                        <option value="none">ALL Pizza</option>
                                        <option value="SEAFOOD">SEAFOOD</option>
                                        <option value="HAWAIIAN">HAWAIIAN</option>
                                        <option value="CHEESY CHICKEN BACON">CHEESY CHICKEN BACON</option>
                                    </select>
                                </div>
                            </div>

                            <div class="row form-group mt-5">
                                <div class="col-sm-4 text-white">
                                    <label for=""> <h4> <b>Trạng thái order</b> </h4> </label>
                                </div>
                                <div class="col-8">
                                    <select id="select-status" class="form-control">
                                        <option value="none">ALL Confirm</option>
                                        <option value="open">Open</option>
                                        <option value="confirmed">Đã xác nhận</option>
                                        <option value="cancel">Đã hủy</option>
                                    </select>
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-5">
                            <div class="col-sm-12 text-center mt-5">
                                <button class="btn w3-orange w-25 w3-hover-green" id="btn-filter">FILTER</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Main content -->
            <section class="content">
                <div class="container-fluid">
                    <div class="container">
                        <div class="mb-4 mt-5">
                            <button class="btn btn-primary w-80" id="addnew-order"><i class="fa-solid fa-circle-plus mr-3"></i>Add New Order</button>
                        </div>
                        <table id="pizza-table" class="bg-light table table-striped table-bordered table-hover">
                            <thead class="thead-dark">
                                <tr>
                                    <th>STT</th>
                                    <th>Order ID</th>
                                    <th>Kích cỡ combo</th>
                                    <th>Loại Pizza</th>
                                    <th>Nước uống</th>
                                    <th>Thành tiền</th>
                                    <th>Họ và tên</th>
                                    <th>Số điện thoại</th>
                                    <th>Trạng thái</th>
                                    <th>Chi tiết</th>
                                </tr>
                            </thead>
                            <tbody>

                            </tbody>
                        </table>

                    </div>
                </div>
                <!-- /.container-fluid -->
            </section>


            <!-- modal -->
            <!-- modal ADD NEW -->
            <div>
                <div id="insert-order-modal" class="modal fade">
                    <div class="modal-dialog">
                        <div class="modal-content w3-pale-blue">
                            <div class="modal-header bg-primary">
                                <div class="col-sm-12 text-center ml-3">
                                    <button class="close" data-dismiss="modal">&times;</button>
                                    <h4 class="modal-title"> <b>ADD NEW ORDER</b> </h4>
                                </div>
                            </div>
                            <div class="modal-body">
                                <form>

                                    <!-- kích cỡ -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-kichCo"> Size </label>
                                        </div>
                                        <div class="col-sm-8">
                                            <select id="inp-create-kichCo" class="form-control select2">
                                                <option value="none">Hãy chọn cỡ pizza</option>
                                                <option value="S">Small</option>
                                                <option value="M">Medium</option>
                                                <option value="L">Large</option>
                                            </select>
                                        </div>
                                    </div>

                                    <!-- đường kính -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-duong-kinh">Đường kính</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-create-duong-kinh" class="form-control bg-white">
                                        </div>
                                    </div>

                                    <!-- sườn -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-suon">Sườn</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-create-suon" class="form-control  bg-white">
                                        </div>
                                    </div>

                                    <!-- salad -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-salad">Salad</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-create-salad" class="form-control  bg-white">
                                        </div>
                                    </div>

                                    <!-- số lượng nước -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-soLuongNuoc">Số lượng nước</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-create-soLuongNuoc" class="form-control  bg-white">
                                        </div>
                                    </div>

                                    <!-- loại pizza -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-loaiPizza">Loại Pizza</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <select id="inp-create-loaiPizza" class="form-control select2">
                                                <option value="none"> Hãy chọn loại pizza</option>
                                                <option value="SEAFOOD">SEAFOOD</option>
                                                <option value="HAWAIIAN">HAWAIIAN</option>
                                                <option value="CHEESY CHICKEN BACON">CHEESY CHICKEN BACON</option>
                                            </select>
                                        </div>
                                    </div>

                                    <!-- id loại nước uống -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-idLoaiNuocUong"> Loại đồ uống </label>
                                        </div>
                                        <div class="col-sm-8">
                                            <select id="inp-create-idLoaiNuocUong" class="form-control select2">
                                            </select>
                                        </div>
                                    </div>

                                    <!-- thành tiền -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-thanhTien">Thành tiền</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-create-thanhTien" class="form-control  bg-white">
                                        </div>
                                    </div>

                                    <!-- id voucher -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-idVourcher"> Vourcher </label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input type="text" id="inp-create-idVourcher" class="form-control">
                                        </div>
                                    </div>

                                    <!-- giảm giá -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="create-discount">Giảm giá</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="create-discount" class="form-control  bg-white">
                                        </div>
                                    </div>

                                    <!-- họ và tên -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-hoTen">Họ và tên</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input type="text" id="inp-create-hoTen" class="form-control">
                                        </div>
                                    </div>

                                    <!-- email -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-email">Email</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input type="text" id="inp-create-email" class="form-control">
                                        </div>
                                    </div>

                                    <!-- sdt -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-soDienThoai">Số điện thoại</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input type="text" id="inp-create-soDienThoai" class="form-control">
                                        </div>
                                    </div>

                                    <!-- địa chỉ -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-dia-chi">Địa chỉ</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input type="text" id="inp-create-dia-chi" class="form-control">
                                        </div>
                                    </div>

                                    <!-- lời nhắn -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-loiNhan">Lời nhắn</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input type="text" id="inp-create-loiNhan" class="form-control">
                                        </div>
                                    </div>

                                </form>
                            </div>
                            <div class="modal-footer">
                                <button class="btn btn-primary" id="btn-create-order">Create order</button>
                                <button class="btn btn-warning" id="btn-cancel" data-dismiss="modal">Cancel</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>


            <!-- MODAL EDIT -->
            <div>
                <div id="detail-order-modal" class="modal fade">
                    <div class="modal-dialog">
                        <div class="modal-content w3-pale-yellow">
                            <div class="modal-header bg-success">
                                <div class="col-sm-12 text-center ml-3">
                                    <button class="close" data-dismiss="modal">&times;</button>
                                    <h4 class="modal-title"> <b>UPDATE ORDER</b> </h4>
                                </div>
                            </div>
                            <div class="modal-body">
                                <form>

                                    <!-- order id -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-orderId">Mã Order</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-update-orderId" class="form-control">
                                        </div>
                                    </div>

                                    <!-- họ và tên -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-hoTen">Họ và tên</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-update-hoTen" class="form-control">
                                        </div>
                                    </div>

                                    <!-- email -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-email">Email</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-update-email" class="form-control">
                                        </div>
                                    </div>

                                    <!-- sdt -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-soDienThoai">Số điện thoại</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-update-soDienThoai" class="form-control">
                                        </div>
                                    </div>

                                    <!-- địa chỉ -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-dia-chi">Địa chỉ</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-update-dia-chi" class="form-control">
                                        </div>
                                    </div>

                                    <!-- lời nhắn -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-loiNhan">Lời nhắn</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-update-loiNhan" class="form-control">
                                        </div>
                                    </div>

                                    <!-- kích cỡ -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-kichCo"> Size </label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-update-kichCo" class="form-control">
                                        </div>
                                    </div>
                                    <!-- đường kính -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-duong-kinh">Đường kính</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-update-duong-kinh" class="form-control">
                                        </div>
                                    </div>
                                    <!-- sườn -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-suon">Sườn</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-update-suon" class="form-control">
                                        </div>
                                    </div>
                                    <!-- salad -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-salad">Salad</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-update-salad" class="form-control">
                                        </div>
                                    </div>
                                    <!-- số lượng nước -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-soLuongNuoc">Số lượng nước</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-update-soLuongNuoc" class="form-control">
                                        </div>
                                    </div>

                                    <!-- loại pizza -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-loaiPizza">Loại Pizza</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-update-loaiPizza" class="form-control">
                                        </div>
                                    </div>
                                    <!-- id loại nươc uóng -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-idLoaiNuocUong">Loại đồ uống</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-update-idLoaiNuocUong" class="form-control">
                                        </div>
                                    </div>

                                    <!-- thành tiền -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-thanhTien">Thành tiền</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-update-thanhTien" class="form-control">
                                        </div>
                                    </div>

                                    <!-- id voucher -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-idVourcher">Voucher</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-update-idVourcher" class="form-control">
                                        </div>
                                    </div>

                                    <!-- giảm giá -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-giamGia">Giảm Giá</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-update-giamGia" class="form-control">
                                        </div>
                                    </div>

                                    <!-- ngày tạo -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-ngayTao">Ngày tạo</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-update-ngayTao" class="form-control">
                                        </div>
                                    </div>

                                    <!-- ngày cập nhật -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-ngayCapNhat">Ngày cập nhật</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <input readonly type="text" id="inp-update-ngayCapNhat" class="form-control">
                                        </div>
                                    </div>

                                    <!-- trạng thái -->
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label for="inp-update-trangThai">Trạng thái</label>
                                        </div>
                                        <div class="col-sm-8">
                                            <select class="form-control" id="inp-update-trangThai">
                                                <option value="open">Open</option>
                                                <option value="confirmed"> Xác nhận đơn hàng</option>
                                                <option value="cancel"> Hủy đơn hàng</option>
                                            </select>
                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div class="modal-footer">
                                <button class="btn btn-success" id="btn-update-confirm">Update</button>
                                <button class="btn btn-warning" id="btn-cancel" data-dismiss="modal">Cancel</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>


            <!-- MODAL    DELETE -->
            <div>
                <div id="delete-order-modal" class="modal fade" tabindex="-1">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h3 class="modal-title text-danger"> <b>Delete Order</b> </h3>
                                <button class="close" data-dismiss="modal">&times;</button>
                            </div>
                            <div class="modal-body w3-red">
                                <form>
                                    <div class="row form-group">
                                        <div class="col-sm-12 text-center">
                                            <h3><b>Bạn có chắc muốn xóa đơn hàng này chứ !!!</b></h3>
                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div class="modal-footer">
                                <button class="btn btn-danger" id="btn-modal-delete">Xóa đơn hàng</button>
                                <button class="btn btn-success" id="btn-cancel" data-dismiss="modal">Cancel</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->


        <footer class="main-footer">
            <strong>Copyright &copy; 2022 by Hoàng béo.</strong> All rights reserved.
            <div class="float-right d-none d-sm-inline-block">
                <b>Version</b> 1.0.0
            </div>
        </footer>

    </div>

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- Select2 -->
    <script src="plugins/select2/js/select2.full.min.js"></script>
    <!-- data table -->
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.js"></script>
    <script>
        // Modal select 2
        $('.select2').select2()
            //Initialize Select2 Elements
        $('.select2bs4').select2({
            theme: 'bootstrap4'
        })
    </script>
    <script src="OrderList-script.js"></script>

</body>

</html>